website/app/urls.py
from django.conf.urls import url

from app import views

urlpatterns = [
    url(r'^$', views.main, name='main'),
]

website/website/urls.py
from django.conf.urls import include, url
from django.contrib import admin

urlpatterns = [
    # Examples:
    # url(r'^$', 'website.views.home', name='home'),
    # url(r'^blog/', include('blog.urls')),

    url(r'^admin/', include(admin.site.urls)),
    url(r'^app/', include('app.urls', namespace="app")),
    ]

website/app/models.py
from django.db import models


class NewsHeadline(models.Model):
    text = models.CharField(max_length=400)
    time_stamp = models.CharField(max_length=200)


class Price(models.Model):
    from django.core.validators import MaxValueValidator, MinValueValidator
    value = models.FloatField(validators = [MinValueValidator(0.0), MaxValueValidator(100.0)])
    time_stamp = models.CharField(max_length=200)

website/app/views.py
from django.shortcuts import render
from django.template import RequestContext, loader
from django.views import generic

# Create your views here.
from django.http import HttpResponse
from app.models import NewsHeadline
#from DatasetBuilder.DatasetBuilder import DatasetBuilder
def main(request):
    
            
    # Render the response
    #--------------------   
            
    # Load the main page template
    template = loader.get_template('app/main.html')
    
    # Fill the query list
    headlines_list = NewsHeadline.objects.order_by('text')[:1000]
    
    # Render with the query
    context = RequestContext(request, {'headlines_list' : headlines_list})
   
    return HttpResponse(template.render(context))

website/app/templates/app/main.html
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Forex predictor</title>

		<!-- Bootstrap -->
		{% load staticfiles %}
		<link href="{% static 'style/css/bootstrap.min.css' %}" rel="stylesheet">
		

		<!--[if lt IE 9]>
		  <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
		  <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
		<![endif]-->
	</head>
	<body>
        <br>
         
		<form action="{% url 'app:main' %}" class="form-inline" method="get">             
            <div class="container">
                <div class="row">
                    <div class="col-lg-4 col-lg-offset-4">			
                        <button type="submit" class="btn btn-lg btn-success">Update</button>
                    </div>
                </div>	
            </div>				
		</form>
        <br>
        
        {% for headline in headlines_list %}
        <div class="alert alert-success" role="alert">
            {{headline.text}} -- {{headline.time_stamp}}
        </div>
		{% endfor %}
	</body>
</html>

website/app/templates/app/test.html
UTORIALS POINT
Simply Easy Learning
<div class="container">
 <h1>Hello, world!</h1> 
 <div class="row"> 
 <div class="col-md-6" style="background-color: #dedef8; box-shadow: inset 1px -1px 1px #444, inset -1px 1px 1px #444;"> <p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. </p> <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. </p> </div> <div class="col-md-6" style="background-color: #dedef8;box-shadow: inset 1px -1px 1px #444, inset -1px 1px 1px #444;"> <p>Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium. </p> <p> Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem. </p> </div> </div>
	</body>
</html>